Search deals
curl --request POST \
--url https://api.withallo.com/v2/api/crm/deals/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "Enterprise",
"page": 1,
"size": 20
}
'import requests
url = "https://api.withallo.com/v2/api/crm/deals/search"
payload = {
"search": "Enterprise",
"page": 1,
"size": 20
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: 'Enterprise', page: 1, size: 20})
};
fetch('https://api.withallo.com/v2/api/crm/deals/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "dea-def456",
"name": "Enterprise Plan",
"status": "negotiation",
"amount": 50000,
"currency": "USD",
"closed_at": null,
"company": {
"id": "com-xyz789",
"name": "Acme Corp"
},
"created_at": "2026-04-15T14:00:00",
"updated_at": "2026-04-28T10:30:00"
}
],
"pagination": {
"page": 123,
"size": 123,
"total_count": 123,
"total_pages": 123,
"has_more": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Deals
Search deals
Search and filter deals in your CRM.
POST
/
v2
/
api
/
crm
/
deals
/
search
Search deals
Required scope:
CRM_READpage and size in the request body to control results. See Pagination.
Request body
| Field | Type | Description |
|---|---|---|
filters | object | Named filters (see below) |
search | string | Full-text keyword search across deal name and company |
sort | string | Sort order: DATE_DESC, DATE_ASC, NAME_ASC, NAME_DESC, CREATED_DESC, CREATED_ASC |
page | integer | Page number (1-indexed) |
size | integer | Results per page (max 100) |
Filters
| Field | Match type | Description |
|---|---|---|
stage | exact | Deal stage/status |
Authorizations
Body
application/json
Request body for searching deals
Named filters. Combined with AND.
Show child attributes
Show child attributes
Free-text search across deal name and company
Sort order (default: DATE_DESC)
Available options:
DATE_DESC, DATE_ASC, NAME_ASC, NAME_DESC, CREATED_DESC, CREATED_ASC Page number (1-indexed)
Results per page
Required range:
x <= 100Was this page helpful?
⌘I